f



xmlrpc error faultCode 105 faultString XML error: Invalid document end at line 1, column 1

Hi,

I am trying to use xmlrpc to set up a client/server connection. I used
PHP5 in Apache2, with xmlrpc.inc downloaded from http://phpxmlrpc.sourceforge.net/,
which is created by Edd Dumbill.

Client side is:

<?php
  require_once('xmlrpc.inc');
  $c = new xmlrpc_client("http://localhost:84/server.php");
  $c->setDebug(1);
  $m = new xmlrpcmsg('fns_test', array(new xmlrpcval(20, "int")));
  $r = $c->send($m);
  echo $r->serialize();
 ?>

Server side is:
<?php
    include("xmlrpc.inc");
    include("xmlrpcs.inc");

    $findstate_sig=array(array($xmlrpcString,$xmlrpcInt));
    $findstate_doc="find state name based on name";
    $s=new xmlrpc_server(
        array(
            "fns_test" => array(
                "function" => "findstate1",
                "signature"=>$findstate_sig,
                "docstring"=>$findstate_doc
            )
        )
    );
    $s->setDebug(2);
    function  findstate1($m)
    {
        $sname="WashingTon";  return $sname;
    //    return new xmlrpcresp(new xmlrpcval($sname));
    }
?>

I have already simplified the code to the minimum, but when I run the
client, I always got following error:

faultCode 105 faultString XML error: Invalid document end at line 1,
column 1

I googled a lot, but no relevant result. Does anyone have this
relevant error when setting up server side? From the fault string,
this might be the xml format error, but I only use the xmlrpc client
to send request, no other string sent by myself..

Thanks anybody for reading this thread and your help is appreciated.

Frank

0
hexufeng (24)
10/1/2007 2:38:18 PM
comp.lang.php 32646 articles. 0 followers. Post Follow

0 Replies
1114 Views

Similar Articles

[PageSpeed] 54

Reply:

Similar Artilces:

Locally working XSLT fails on host with message "Sablotron error on line 1: XML parser error 4: not well-formed"
Hello, I have managed (with your help!) to make a working XSLT stylesheet; it works fine locally (Windows Apache + PHP with Sablotron 1.0), but it fails on the remote host (FreeBSD Apache + PHP with Sablotron 1.0) with the following: Warning: Sablotron error on line 1: XML parser error 4: not well-formed (invalid token) in /...host...path.../page.php on line 28 FAILURE : XML parser error 4: not well-formed (invalid token) ; error code is 2 Line 28 (of page.php) is the line with the call to xslt_process, while line 1 (of the stylesheet) reads: <?xml version="1.0" encoding="iso-8859-1"?> What can possibly be wrong? Note: I have of course some PHP code which sets the correct directory depending on the machine we are on (local or remote). Thanks! Martin Martin Plantec wrote: > Warning: Sablotron error on line 1: XML parser error 4: not well-formed > (invalid token) in /...host...path.../page.php on line 28 > FAILURE : XML parser error 4: not well-formed (invalid token) ; error > code is 2 > > Line 28 (of page.php) is the line with the call to xslt_process, while > line 1 (of the stylesheet) reads: > > <?xml version="1.0" encoding="iso-8859-1"?> > > What can possibly be wrong? I would guess that some path is wrong and somehow you don't pass in the XML and/or the stylesheet you want. -- Martin Honnen http://JavaScript.FAQTs.com/ Martin, Encouraged by your help, I tried...

keep gettting errors using Sequel ODBC::Error: 37000 (170) [Microsoft][ODBC SQL Server Driv er][SQL Server]Line 1: Incorrect syntax near '1'.
i am trying to connect to MSSQL server from xP i have the following problem for any sql. pl help ODBC::Error: 37000 (170) [Microsoft][ODBC SQL Server Driv er][SQL Server]Line 1: Incorrect syntax near '1'. D:\Documents and Settings\>irb irb(main):001:0> require 'odbc' => true irb(main):002:0> require 'Sequel' => true <c('LPM', :user=>'resum', :password=>'ms_0416') => #<Sequel::ODBC::Database: "odbc:resum:ms_04166@/LPM"> irb(main):004:0> require 'rubygems' => false irb(main):005:0> a...

1.1.1.1 ?
hi my firewall logs dropped packets from an internal IP address trying to contact 1.1.1.1 through port 9999. Any ideas whether 1.1.1.1 is valid IP? and what is port 9999?? thanks mike wrote: > hi > > my firewall logs dropped packets from an internal IP address trying to > contact 1.1.1.1 through port 9999. Any ideas whether 1.1.1.1 is valid > IP? and what is port 9999?? > thanks These trojans *BlitzNet*, *Backdoor.Oracle*, *Backdoor.Spadeace* uses port 9999 -- S.S. "StarScripter" <Star@privacy.net> wrote in message news:<bv8ejj$p54t3$1@ID-185702.news.uni-berlin.de>... > mike wrote: > > hi > > > > my firewall logs dropped packets from an internal IP address trying to > > contact 1.1.1.1 through port 9999. Any ideas whether 1.1.1.1 is valid > > IP? and what is port 9999?? > > thanks > > These trojans *BlitzNet*, *Backdoor.Oracle*, *Backdoor.Spadeace* uses port > 9999 thanks very much..will check it out ...

Re: Error-Error 1 occurred at Scan From String (arg 1)
Possible reason(s):<br>LabVIEW: An input parameter is invalid.<br>---<br>NI= -488: Command requires GPIB Controller to be Controller in Charge.<br><br><= br>Lynn:<br>I modified my overall block diagram based on what you helped me= with. What I am trying to achieve is write a string of data to the serail = port and read from the same serial port. The data I am using is in the belo= w format with the data representing 8 bit binary numbers separated by delim= iters<br> \s data1 \n data2 \s data3 = <br>I a...

[Fatal Error] :-1:-1: Premature end of file.
I get this error when I start matlab now. It works fine still. but the why does this error occur? Before that I was using parfor, and I got some errors when debugging because I forgot to use matlabpool close after using matlabpool open. Will the error be related to that? Thank You! "Fan " <fan.lam04@gmail.com> writes: > I get this error when I start matlab now. It works fine still. but the why > does this error occur? Before that I was using parfor, and I got some errors > when debugging because I forgot to use matlabpool close after using matlabpool > open. Wi...

Error: An error occurred while shelling out to mbuild (error code = 1).
Hi! I'm trying to create an exe file from my GUI, so that the GUI can be run on computers not having MATLAB. I'm using MATLAB 7.9.0(R2009b) and the Compiler version is 4.11(R2009b). I receive the following error message when using deploytool: mkdir 'C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy\distrib' Warning: Directory already exists. mkdir 'C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy\src' Warning: Directory already exists. mcc -F C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy.prj mcc -o 'test_deploy' -W 'WinMain:test_deploy' -d 'C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy\src' -T 'link:exe' -v 'C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy.m' Compiler version: 4.11 (R2009b) Processing include files... 2 item(s) added. Processing directories installed with MCR... The file C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy\src\mccExcludedFiles.log contains a list of functions excluded from the CTF archive. 2 item(s) added. Generating MATLAB path for the compiled application... Created 40 path items. Begin validation of MEX files: Wed Sep 08 17:59:41 2010 End validation of MEX files: Wed Sep 08 17:59:41 2010 Parsing file "C:\Documents and Settings\Paulo\Meus documentos\MATLAB\test_deploy.m" (Referenced from: "Compiler Command Line"). Pars...

XHTML 1.1 spec: lang and xml:lang
Hello, I've looked at the latest XHTML spec from 2009-05-07. Referring to http://www.w3.org/TR/xhtml-modularization/abstract_modules.html#s_commonatts In the I18N module, there are only two attributes listed: dir and xml:lang. The note in the last paragraph says: "Finally, note that the I18N collection only contains the xml:lang attribute unless the Bi- directional Text Module module is selected." This is fine, but... http://www.w3.org/TR/xhtml11/doctype.html says (last paragraph): "This specification also adds the lang attribute to the I18N attribute c...

Error Compile 1.8.0 and 1.8.1-pre2
I'm trying to compile they latest. But i'm getting a SEGMENTATION FAULT error. It happens on miniruby. I found a post that said to add --enable-shared. So I did and this got me to the next file libruby.so with an error saying 'Unkown nod type 0'. I tried it on 1.8.1 and got the same segementation fault on miniruby. --enabled-shared didn't help. I'll keep searching and hacking but I thought I'd put this out these to see if anyone has any ideas. thanks, -t0 p.s. I'm doing this on GoboLinux. So maybe the alternate file hiearchry is the problem, but I doubt I w...

BWidget 1.7 error with Tcl/Tk 8.1.1
Hello. I've used BWidget 1.7 with Tcl/Tk 8.1.1. When the package is loaded, an error occurs. Probably, I think that the following code is wrong. pagesmgr.tcl package require Tcl 8.1.1 pkgIndex.tcl package require Tk 8.1.1 widget.tcl package require Tcl 8.1.1 If 8.1.1 or more Tcl are required, you should describe it as "package require Tcl 8.1" or "pacakge require Tk 8.1" ----- Satoshi Imai s-imai@japan.interq.or.jp Satoshi Imai wrote: > I've used BWidget 1.7 with Tcl/Tk 8.1.1. > When the package is loaded, an error occurs. ... > widget.tcl > package require Tcl 8.1.1 > > If 8.1.1 or more Tcl are required, > you should describe it as "package require Tcl 8.1" > or "pacakge require Tk 8.1" Yes, that is incorrect, as the core Tcl and Tk packages don't register themselves to the patchlevel in the package mechanism (for historical reasons). However, just 8.2 should be used as 8.1 is a version best left unused. -- Jeff Hobbs, The Tcl Guy http://www.ActiveState.com/, a division of Sophos Hello. Jeff Hobbs <jeffh@activestate.com> wrote... > Yes, that is incorrect, as the core Tcl and Tk packages don't > register themselves to the patchlevel in the package mechanism > (for historical reasons). However, just 8.2 should be used as > 8.1 is a version best left unused. Why don't you reform completely the package mechanism from Tcl8.5? I'm stil...

Error: An error occurred while shelling out to mbuild (error code = 1). #2
uilding COM object... mcc -M -silentsetup -d 'D:/matlab2006/work/testww//src' -B 'ccom:testww,testwwclass,1.0' -g -S 'D:/matlab2006/work/testww.m' mwcomtypes.idl oaidl.idl objidl.idl unknwn.idl wtypes.idl ocidl.idl oleidl.idl servprov.idl urlmon.idl msxml.idl testww_idl.idl oaidl.idl objidl.idl unknwn.idl wtypes.idl ocidl.idl oleidl.idl servprov.idl urlmon.idl msxml.idl mwcomtypes.idl 'rc' &#19981;&#26159;&#20869;&#37096;&#25110;&#22806;&#37096;&#21629;&#2019 6;&#65292;&#20063;&#19981;&#26159;&#21487;&#...

AIX 1.3 900 series errors (actually 1.2.1, but...)
� Copyright IBM Corp. 1985, 1991 AIX Operating System Messages Reference Chapter 3. Displayed Messages (Numeric) 900-041 Panic: brreada: negative block number Cause: A remote read (with read ahead) was attempted with a block number that was less than zero (0). Action: Record all information and follow your local procedures for reporting software problems. 900-045 Panic: brelse: netwantsbuf Cause: A synchronization error caused the system to lose track of which network wanted the buffer. Action: Record all information and follow your local procedures for reporting software problems. 900-200 symblnk: No "kmem" Cause: The symblnk resolution failed because there was no memory available. Action: Try the operation later, when more memory is available. 900-201 symblink: "nfs_readlink" fails # Cause: A "Reading a symbolic link" incident was encountered on a Network File System (NFS) and has failed. Action: Check operation between client and server and then record other failure conditions reported in Operators System Messages (OSM). 900-241 addgfs: Fails no free entries Cause: No memory was available to allocate a mount entry. Action: Try again later, verify system has enough memory, or increase the value of the v_mount or v_pmount system call. 900-242 deletegfs: gfs # not found Cause: The operating system requested deletion of a mount entry that is...

Error Editor ERROR - Small attachment
Hi When I click on c55 Icon to load it comes up with the attached screen - which I cannot close. When you close it in Task manager it closes c55. If I Pick an app an dtry and compile it gives me the most horrible error messages! Please help. --------------------------------------------------------------------------- Johan van Zyl - Somerset West - South Africa JVZ Systems CC johan@jvz.co.za Customised Software using Clarion & MS SQL http://www.jvz.co.za http://www.jvz.co.za/pastel - Pastel Utilities & Data Doctor http://www.jvz.co.za/mssql http://communities.msn.co.za/ClarionMSSQL http://communities.msn.co.za/MCSE2001 ...

Re: Error Compile 1.8.0 and 1.8.1-pre2
> Could you show stack trace? Sorry, I don't know much about compiling programs. How do I do what you are asking? -t0 Hi, At Wed, 12 Nov 2003 09:23:55 +0900, T. Onoma wrote: > > Could you show stack trace? > > Sorry, I don't know much about compiling programs. How do I do what you are asking? Run miniruby from gdb or run "gdb miniruby core" after segfault, and type "where" (without quotes, with return). -- Nobu Nakada Hi, At Wed, 12 Nov 2003 10:06:43 +0900, nobu.nokada@softhome.net wrote: > Run miniruby from gdb or run "gdb minirub...

ruby version 1.9.2 dev with memcached-0.1.18 native compilation error/syntax errors #2
Hi there Hopefully these errors somehow relate to REE, if not, highly appreciate any feedback and a direction! Installed latest (from git master) enterprise server and attempting to build memcached-0.18.0 with ruby compiler version 1.9.2 dev , encountered 2 exceptions (one during native compilation of memcached gem and second during ruby compilation of memcached rails.rb (syntax error on the usage of alias) Symptom 1: errors during gem execution of memcache gem Symptom 2: errors during ruby compilation of memcached .rb file Using environment: A) Ruby Server deployment using ruby enterp...

compile error re: Open Office 1.1.2 -> com_sun_star_lib_connections_pipe_PipeConnection.c: 558 syntax error before "void"
Anyone solved this ? Thank you, Courtney ...

XML::Parser.pm "no element found at line 1, column 0, byte -1:"
Can someone please help me to see why this post to XML::Parser fails ? I use it successfully in many ways, but can't figure why this is giving an error ... ( I have placed xxx on certain parts for privacy). [DEBUG] MultiThreadedHttpConnectionManager - HttpConnectionManager.getConnection: config = HostConfiguration[host=http://xxx.xxx.xxx.xxx], timeout = 0 [DEBUG] MultiThreadedHttpConnectionManager - Allocating new connection, hostConfig=HostConfiguration[host=http://xxx.xxx.xxx.xxx] [DEBUG] HttpConnection - Open connection to xxx.xxx.xxx.xxx:80 [DEBUG] header - >> "POST /cgi...

Re: Error Compile 1.8.0 and 1.8.1-pre2 #3
took me a bit to get back to... > Check `ulimit -c'. returns: 0 > > the error specifically says: 'mkmf.rb:354: [BUG] Segmentation > > Fault' if that helps. > > Hmmm, only "false" line? > What's your configure options? ./configure --prefix=/Programs/Ruby/1.8.1 \ --exec-prefix=/Programs/Ruby/1.8.1 \ --enable-shared \ --with-sitedir=/Programs/Ruby/1.8.1/lib/site_ruby \ --localstatedir=/Programs/Ruby/Variable \ --sysconfdir=/Programs/Ruby/Settings like i said, Gobo has non-standard ...

Error 1 and Error 2 Aborting
I'm installing a new FC3 system. Previously Wine has worked fine in a Redhat 6 installation. Here's what I get after invocation of the ./tools/wineinstall command. There is a lot of installation activity but towards the end of installation this message appears: -----cut from terminal messages during install ------ make[2]: Entering directory `/home/dave/downloads/wine-20031212/dlls/winmm/winearts' .../../../tools/makedep -I. -I. -I../../../include -I../../../include -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -C. arts.c au...

Errors in MYSQL 4.1.1
Although a log ot really good work has been done on MYSQL, Look like it could use a bit more... and not being a developer, would need someone with a bit more experience (ie did the port) to help fix it. The simple stuff seems to work fairly well... First problem: when doing a very large group by, it attempts to create a temporary filename that looks something like /mysql_root/mysql/#234243249.MYI (not exact, but you get the idea.. Can you see a problem with this? Second problem... SAMPLE DATA loaded into the db: NODE, CDATE CPARAM CVALUE ALPHA1,2...

Labview 7.1.1 Errors
I am using the version 7.1.1 of LV and LV RT, i am programming a cFP-2020. &nbsp; &nbsp; Labview&nbsp;keeps crashing and losing the connection with the remote target (cFP), i am attaching a file containing all the error logs generated by LV, i never got this problem with earlier versions of LV i think this may be some kind of bug plase let me know how can i fix it. &nbsp; By the way my PC is a PIV @3 GHZ , 1 GB of RAM running WinXP SP2 &nbsp; &nbsp; &nbsp; ...

E2900 error on boot: TL = 1, TT = 32. ERROR: Data Access Error -- Help??
Can someone help decipher this error below? Had Sun CE install 32Gb memory into 2 system boards (64Gb total), and now we are getting this error. We tried powering it back up with each system board individually, and get same error no matter which board is in, or both. So we're pretty sure it's not a single dimm that is the problem Sun Fire E2900 OpenFirmware version 5.19.4 (01/19/06 18:06) Copyright 2006 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. SmartFirmware, Copyright (C) 1996-2001. All rights reserved. 32768 MB memory installed, TL = 1, TT = 32....

fib.rb 1.9.1/1.8.6 source code conflicts/errors
In the latest ruby-1.8.6-p388 source code I just downloaded the file fib.rb; 2007-2-12 contains correct code: ------------------------------ # calculate Fibonacci(20) # benchmark def fib(n) if n<2 n else fib(n-2)+fib(n-1) end end print(fib(20), "\n") --------------------------- The code in fib.(awk,pl,py.scm) is also correct. But in the lastest ruby-1.9.1-p378 source code the file fib.rb (and fib.(awk,pl,py,scm) files) has the same date but the code has been changed to give an incorrect value for fib(0), which should be 0: -----------...

struts 1.1 to 1.2.4, getting lot of "symbol not found" errors.
what changed for processPath() processActionForward() Action.ERROR_KEY EVAL_BODY_TAG ...

Linker error -> "libCstd.so.1: version `SUNW_1.1.1' does not exist"
When we try to link with the libCstd.so, it reports the following linker error. What could be the cause of this problem and how do we circumvent it? ld: fatal: file /opt/SUNWspro/WS6U1/lib/libCstd.so.1: version `SUNW_1.1.1' does not exist: required by file /project/modules/lib/libMain.so ld: fatal: file /opt/SUNWspro/WS6U1/lib/libCstd.so.1: version `SUNW_1.1.1' does not exist: required by file /project/modules/lib/libSub.so ld: fatal: File processing errors. No output written to libDir/libMyModule.so gmake: *** [libDir/libMyModule.so] Error 1 On Thu, 12 Feb 2004, qazmlp wrote: > When we try to link with the libCstd.so, it reports the following > linker error. > What could be the cause of this problem and how do we circumvent it? Looks like you're trying to link on an older version of Solaris than you compiled on? If that is the case, the solution is simple: don't do that. -- Rich Teer, SCNA, SCSA President, Rite Online Inc. Voice: +1 (250) 979-1638 URL: http://www.rite-online.net ...

Web resources about - xmlrpc error faultCode 105 faultString XML error: Invalid document end at line 1, column 1 - comp.lang.php

Integrating With Fusion Application Using Services (Perl: SOAP::Lite)
Blogs.Oracle.Com - Fusion Applications Developer Relations

Life Cycle of a Book - Publishing Trendsetter
Publishing Trendsetter is a production of Market Partners International and Publishing Trends . Search Posts: Publishing Trendsetter News and ...

Resources last updated: 3/23/2016 7:28:37 PM